<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />

<!--[if lt IE 9]>
<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
<![endif]-->

<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'hangar' ), max( $paged, $page ) );

	?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php
		/* We add some JavaScript to pages with the comment form
		 * to support sites with threaded comments (when in use).
		 */
		if ( is_singular() && get_option( 'thread_comments' ) )
			wp_enqueue_script( 'comment-reply' );

		/* Always have wp_head() just before the closing </head>
		 * tag of your theme, or you will break many plugins, which
		 * generally use this hook to add elements to <head> such
		 * as styles, scripts, and meta tags.
		 */
		wp_head();
	?>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/library/jquery.cycle.all.js"></script>
</head>

<body <?php body_class(); ?>>

<div id="top-head" class="shadow">
	<div id="wrap_topheader" class="
		<?php if(is_home() or is_category()) :
			 	echo 'amplegrann';
		  	elseif(is_page() or is_page_template('single_seccio.php')) :
				 echo 'ampleunicc';
			elseif(is_single()):
				echo 'amplemigg';
			 endif; ?> ">

		<div class="languages alignleft">
		<?php echo qtrans_generateLanguageSelectCode('text'); ?>
		</div>

		<ul class="diversos alignleft">
			<li class="faqs"><a href="<?php echo get_permalink(155); ?>"><?php _e('faqs','hangar');?></a></li>
			<li class="contact"><a href="<?php echo get_permalink(159); ?>"><?php _e('contact','hangar');?></a></li>
			<li class="news"><a href="https://hangar.org/subscribe"><?php _e('newsletter','hangar');?></a></li>
		</ul>

		<div id="cercar">
		<?php get_search_form(); ?>
		</div>
	</div>
</div> <!-- fi top-head -->

<div id="wrap" class="clearfix <?php if(is_home() or is_category()) :
			 	echo 'amplegrann';
		  	elseif(is_page() or is_page_template('single_seccio.php')) :
				 echo 'ampleunicc';
			elseif(is_single()):
				echo 'amplemigg';
			else:
				echo 'noclass';
			 endif; ?> ">

	<div id="sidebar-primary">

		<div class="logo">

			<h1><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo get_template_directory_uri() . '/images/logo.gif' ?>" alt="<?php bloginfo('name') . " - " . bloginfo( 'description' ); ?>" /></a></h1>

		</div>
		<!--end Logo-->

		<?php get_sidebar('primary'); ?>

	</div>
	<!--end Sidebar One-->
