<?php


/* Register widgetized areas, including two sidebars and four widget-ready columns in the footer. */
function ari_widgets_init() {
	// Primary Widget area (left, fixed sidebar)
	register_sidebar( array(
		'name' => __( 'Primary Widget Area', 'hangar' ),
		'id' => 'primary-widget-area',
		'description' => __( 'Here you can put all the widget elements to be shown in the left side menu.', 'ari' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	// Secondary Widget area (right, additional sidebar)
	register_sidebar( array(
		'name' => __( 'Secondary Widget Area', 'hangar' ),
		'id' => 'secondary-widget-area',
		'description' => __( 'Here you can put all the additional widgets elements to be shown in the HomePage big announcement.', 'hangar' ),
		'before_widget' => '<span id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</span>',
		'before_title' => '<span class="widget-title">',
		'after_title' => '</span>',
	) );

}
/* Register sidebars by running ari_widgets_init() on the widgets_init hook. */
add_action( 'widgets_init', 'ari_widgets_init' );

?>
